#! /usr/bin/python

# Demo of API for https://www.fax2.com.au
# 
# Set your username and password in credentials.py

dest_number = "61280763351"

from fax2 import Fax2API
import time
from credentials import username,password;

fax2 = Fax2API()
fax2.credentials(username,password)

sample_text = "This is a sample cover page\n" \
	"Add whatver you like here"

text_id = fax2.upload_document(sample_text,"text/plain; charset=utf-8")

pdf_data = open("sample.pdf","rb").read()

pdf_id = fax2.upload_document(pdf_data,"application/pdf")

(fax_id,pages) = fax2.send_fax(dest_number,(text_id,pdf_id))

print "Fax is queued for sending, total %d page(s)" % (pages)

while 1:
	result = fax2.get_outgoing_fax_status(fax_id)
	if result['status'] == 'sent' or result['status'] == 'failed':
		break
	time.sleep(3)

if result['status'] == 'sent':
	print "Result: success"
else:
	print "Result: failed, reason: %s" % (result['reason'])
